package kz.arta.synergy.workflow.mobile.android.works.models;

import java.io.Serializable;

/**
 * Created by neox on 29.07.14.
 * Описание формы завершения (Информация о работе)
 */
public class CompletionFormItem implements Serializable {

    /**
     * Результат выполнения (0 или 13)
     */
    private String errorCode;

    /**
     * Описание результата завершения
     */
    private CompletionResultItem result;

    /**
     * Параметры формы (если есть)
     */
    private FormParams[] form_params;

    /**
     * Завершенные дочерние работы
     */
    private ResultWorkItem[] previous_results;

    public ResultWorkItem[] getPrevious_results() {
        return previous_results;
    }

    public FormParams[] getForm_params() {
        return form_params;
    }

    public String getErrorCode() {
        return errorCode;
    }

    public CompletionResultItem getResult() {
        return result;
    }

    public class FormParams {

        String formID;

        public String getFormID() {
            return formID;
        }
    }
}